Resource Center/Resource Pool/VM Instance Operations
PUTVM Instance OperationsSince 0.6SynchronousAuth Required
ResumeVmInstance
ResumeVmInstance
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe VM instance UUID.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/vm-instances/{uuid}/actions
/zstack/v1/vm-instances/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/vm-instances/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "83d00b5be8ec37fe858c841e96200824", "name": "Test-VM", "description": "web server VM", "zoneUuid": "73e6cf01cbad3ca19e3844369ebc30c1", "clusterUuid": "85cbb3a1d2da3dd6bcb8adbb4dead1e4", "imageUuid": "0107a95e6c4d3617be678f94908b440b", "hostUuid": "19c81f0e22243a98b249d9fa725f20a7", "lastHostUuid": "969ed03e2e0835b79a61f796d9f4c702", "instanceOfferingUuid": "befdd124574c38669a2b236b509506bb", "rootVolumeUuid": "958e1ad5cf2038ca875f9d31dc721e5c", "platform": "Linux", "defaultL3NetworkUuid": "1f78a72f5f663f8ab4bcfb0b71e94396", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8.589934592E9, "cpuNum": 1.0, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Running", "vmNics": [ { "uuid": "ee337502670e323a8fb85134e36471bc", "vmInstanceUuid": "83d00b5be8ec37fe858c841e96200824", "usedIpUuid": "8b1565028e06391c9a88b2d8536bf6de", "l3NetworkUuid": "1f78a72f5f663f8ab4bcfb0b71e94396", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "allVolumes": [ { "uuid": "958e1ad5cf2038ca875f9d31dc721e5c", "name": "Root-Volume-For-VM-83d00b5be8ec37fe858c841e96200824", "primaryStorageUuid": "25ff56ff28e03d9ebc584df9f7d3cf99", "vmInstanceUuid": "83d00b5be8ec37fe858c841e96200824", "diskOfferingUuid": "c976dbc160ec31e695f951bb2198c33c", "rootImageUuid": "0107a95e6c4d3617be678f94908b440b", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-958e1ad5cf2038ca875f9d31dc721e5c/958e1ad5cf2038ca875f9d31dc721e5c.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } }Change History
This API has no change history records yet.
